Subject: Re: [PATCH] powerpc/8xx: use pmd_off() to access a PMD entry in pte_update()

From: Michael Ellerman <[email-masked]>
Date: Wed, 17 Jun 2020 09:21:42 +1000

Andrew Morton <[email-masked]> writes:
> On Mon, 15 Jun 2020 12:22:29 +0300 Mike Rapoport <[email-masked]> wrote:
>
>> From: Mike Rapoport <[email-masked]>
>> 
>> The pte_update() implementation for PPC_8xx unfolds page table from the PGD
>> level to access a PMD entry. Since 8xx has only 2-level page table this can
>> be simplified with pmd_off() shortcut.
>> 
>> Replace explicit unfolding with pmd_off() and drop defines of pgd_index()
>> and pgd_offset() that are no longer needed.
>> 
>> Signed-off-by: Mike Rapoport <[email-masked]>
>> ---
>> 
>> I think it's powerpc material, but I won't mind if Andrew picks it up :)
>
> Via the powerpc tree would be better, please.

I'll take it into next for v5.9, unless there's a reason it needs to go
into v5.8.

cheers